#!/bin/sh
# Start up file for ntp
exec_option=$1
conf_file=/ysdisk/etc/dateandtime.conf
if [ -f $conf_file ];then
. $conf_file
	if [ "$EnableNtp" == "yes" ];then
		case "$exec_option" in
			start)		ntpdate -4 $NTPServer &
					date
					/etc/init.d/ntpd.sh /etc/ntp.conf & ;;
			stop)		killall -9 ntpd;;
			restart)
					/etc/init.d/ntp.sh stop
					/etc/init.d/ntp.sh start
					;;
			*)		cat <<EOF;;
Syntax: ntp.sh [command]

Available commands:
	start   Start the service
	stop    Stop the service
	restart Restart the service
	enable  Enable service autostart
	disable Disable service autostart
EOF
esac
	fi
fi
