#!/bin/sh
touch "/etc/.pbx300-has-started"
if [ -f "/etc/pbx300_disk.info" ];then
	rm -f /etc/pbx300_disk.info
	echo "delete /etc/pbx300_disk.info"
fi
if [ -f "/etc/pbx300_usb_storage.info" ];then
	rm -f /etc/pbx300_usb_storage.info
	echo "delete /etc/pbx300_usb_storage.info"
fi
touch "/etc/pbx300_disk.info"
echo "[disk1]" >> /etc/pbx300_disk.info
echo "mounted_directory=/media/ysDiskStorage" >> /etc/pbx300_disk.info

umount /dev/sdb1

if [ -b "/dev/sda" ];then
	if [ ! -b "/dev/sda1" ];then
		echo "no sda1 disk exist unuseable------"
		echo "directory_is_useable=false" >> /etc/pbx300_disk.info
		echo "disk_dev=/dev/sda" >> /etc/pbx300_disk.info
		exit 1
	fi
	label=`e2label /dev/sda1 2> /dev/null`

	# if /dev/sda is the disk, test label of "/dev/sda1" 
	[ $? -eq 0 ] && [ ! -z $label ] && [ $label == "ysDiskStorage" ] && echo "directory_is_useable=true" >> /etc/pbx300_disk.info \
		&& echo "disk_dev=/dev/sda" >> /etc/pbx300_disk.info && /bin/getDeviceInfo 2> /dev/null && exit 0
	echo "sda1 disk exist unuseable------"
	echo "directory_is_useable=false" >> /etc/pbx300_disk.info
	echo "disk_dev=/dev/sda" >> /etc/pbx300_disk.info
	umount /dev/sda1
else
	echo "no disk / scsi channel 01 no disk !!!"
	rm -rf /media/ysDiskStorage
	rm -f /etc/pbx300_disk.info
fi
